Subject: FVWM: FvwmCpp bug?

From: Brady Montz <[email-masked]>
Date: Sun, 1 Oct 1995 14:51:12 -0700 (MST)

I started using FvwmCpp yesterday, and I think there's a bug with the -cppopt
option. Lines 123 through 127 of FvwmCpp.c currently are:

123:  if(mystrcasecmp(argv[i],"-cppopt") == 0)
124:    {
125:      strcat(cpp_options, argv[i]);
126:      strcat(cpp_options, " ");
127:    }

I believe that should be argv[++i] instead of argv[i] in line 125. The
current code just passes the string "-cppout" to cpp, which isn't very useful.
I'm currently using patchlevel 34, and I just downloaded 35, and it's the same
in there.

[email-masked]
--
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: <[email-masked]> (Charles Hines)
Date: Tue, 3 Oct 1995 08:55:44 -0400

>>>>> "Brady" == Brady Montz <[email-masked]> writes:

Brady> I started using FvwmCpp yesterday, and I think there's a bug
Brady> with the -cppopt option. Lines 123 through 127 of FvwmCpp.c
Brady> currently are:

Brady> 123:  if(mystrcasecmp(argv[i],"-cppopt") == 0)
Brady> 124:    {
Brady> 125:      strcat(cpp_options, argv[i]);
Brady> 126:      strcat(cpp_options, " ");
Brady> 127:    }

Brady> I believe that should be argv[++i] instead of argv[i] in line
Brady> 125. The current code just passes the string "-cppout" to cpp,
Brady> which isn't very useful.  I'm currently using patchlevel 34,
Brady> and I just downloaded 35, and it's the same in there.

Yup - I'll fix this for the next release.

Chuck

*******************************************************************************
Charles K. Hines
IBM Logic Synthesis developer [BooleDozer (TM)]
and Martial Arts Instructor [Modern Arnis, Presas Style Filipino Martial Arts]

Internet e-mail:     [email-masked]

IBM Internal e-mail: [email-masked]   (preferred from workstation)
                     HINESC at FISHKILL       (preferred from mainframe)
                     HINESC at FSHVMFK1       (discouraged, but I'll get it)

*******************************************************************************
 "dis ting could have possabiwities if I put my twisted widdle mind to it!"
                                                        - Bugs Bunny

 "I have a paper plate in my head because they were all out of the metal ones"
                                                        - Rick Overton
*******************************************************************************
--
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].